%define upstream_name	 FCGI-ProcManager
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Functions for managing FastCGI applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/FCGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%{?perl_default_filter}

%description
FCGI::ProcManager is used to serve as a FastCGI process manager. By
re-implementing it in perl, developers can more finely tune performance in
their web applications, and can take advantage of copy-on-write semantics
prevalent in UNIX kernel process management.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc COPYING ChangeLog META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/FCGI
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.280.0-5.mga10
+ Revision: 2203904
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.280.0-4.mga9
+ Revision: 1809286
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.280.0-3.mga8
+ Revision: 1504438
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.280.0-2.mga7
+ Revision: 1283653
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 0.280.0-1.mga7
+ Revision: 1132338
- update to 0.28

* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-3.mga6
+ Revision: 1027274
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.250.0-2.mga6
+ Revision: 966894
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.250.0-1.mga6
+ Revision: 846996
- update to 0.25

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-6.mga5
+ Revision: 749154
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.240.0-5.mga5
+ Revision: 732119
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-4.mga5
+ Revision: 684698
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.240.0-3.mga4
+ Revision: 511530
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.240.0-2.mga3
+ Revision: 367115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 154286
- update to 0.24
- update to 0.22

* Thu Jan 20 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 26133
- mageia rebuild
- imported package perl-FCGI-ProcManager

